geos::operation::overlayng::IndexedPointOnLineLocator Class Reference

`#include <IndexedPointOnLineLocator.h>`

Inheritance diagram for geos::operation::overlayng::IndexedPointOnLineLocator:

## Public Member Functions

| IndexedPointOnLineLocator (const geom::Geometry &geomLinear)
geom::Location | locate (const geom::CoordinateXY *p) override

## Detailed Description

Locates points on a linear geometry, using a spatial index to provide good performance.

Author
  mdavis

## Member Function Documentation

## locate()

geom::Location geos::operation::overlayng::IndexedPointOnLineLocator::locate | ( | const geom::CoordinateXY * | p | ) |

override virtual

Determines the Location of a point in an areal Geometry.

Parameters

  p | the point to test

Returns
  the location of the point in the geometry

Implements geos::algorithm::locate::PointOnGeometryLocator.

The documentation for this class was generated from the following file:

- IndexedPointOnLineLocator.h